# _ListMachinePump2Filter
Input Object

## Fields

## #

and

[ _ListMachinePump2Filter !]

description

_StringCondition

externalId

_IDCondition

isActive

_BooleanCondition

location_3dmr

_StringCondition

location_3dn

_StringCondition

name

_StringCondition

not

_ListMachinePump2Filter

or

[ _ListMachinePump2Filter !]

pnid_file

_StringCondition

pressure_ts

_StringCondition

production_ts

_StringCondition

state

_StringCondition

weight

_IntCondition

## Usages

## #

#### References

#### #

- Argument filter of field listMachinePump2 from type Query

Previous

_IntCondition

Next

_ListMachinePumpFilter